TechDraw: Gruppo di proiezioni

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw ProjectionGroup and the translation is 59% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎русский
Arrow-left.svg Pagina precedente: TechDraw ActiveView.svg Vista attiva
Pagina successiva: Vista di sezione TechDraw SectionView.svg Arrow-right.svg

TechDraw ProjectionGroup.svg Gruppo di proiezioni

Posizione nel menu
TechDraw → Gruppo di proiezioni
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Vista, Vista di sezione

Descrizione

Lo strumento TechDraw ProjectionGroup.svg Gruppo di proiezioni crea una proiezione multivista di uno o più oggetti 3D. È anche possibile includere le viste isometriche dei 4 angoli anteriori.

Se si desidera produrre una sola vista, non conviene utilizzare Gruppo di proiezioni, meglio usare invece Vista. Se non si desidera utilizzare il tradizionale modo di visualizzazione primo o terzo angolo di proiezione, è possibile utilizzare diverse volte "Vista" al posto di "Gruppo di proiezioni".

TechDraw ProjGroup example.png

Tre viste ortogonali e una vista isometrica di un oggetto solido

Utilizzo

  1. Selezionare uno o più oggetti, "Corpo" o "Parte", nella finestra 3D o nella vista ad albero. Se nel documento ci sono più pagine di disegno, è anche necessario selezionare la pagina desiderata nella struttura.
  2. Premere il pulsante TechDraw ProjectionGroup.svg Gruppo di proiezioni.
  3. Si apre una finestra in cui è possibile selezionare quali viste devono apparire, la scala del gruppo e altri parametri:

TaskProjGroup.png

Finestra di dialogo delle azioni del gruppo di proiezioni. Il campo centrale indica la direzione corrente della vista con le percentuali degli assi x, y e z.

Dopo aver creato un gruppo di proiezioni è possibile spostare il gruppo nel suo complesso trascinando la vista centrale. È inoltre possibile spostare le singole viste mediante trascinamento.

Proprietà

  • DatiAnchor: la vista centrale del gruppo. Normalmente è la vista frontale.
  • DatiProjectionType: "Primo angolo" o "Terzo angolo".
  • DatiAutoDistribute: se è True (vero), spazia automaticamente le singole viste. Utilizzare false per posizionarle manualmente.
  • DatispacingX: lo spazio orizzontale tra le viste quando esse sono posizionate automaticamente.
  • DatispacingY: lo spazio verticale tra le viste quando esse sono posizionate automaticamente.

Le Proiezioni ereditano nel loro complesso X, Y, ScaleType, Scale e Rotation dalla vista di base.

Le singole viste all'interno del gruppo ereditano tutte le proprietà della vista della parte, ma l'oggetto ProjectionGroup controlla la scala di tutti i suoi membri viste.

La proprietà RotationVector delle singole viste all'interno del gruppo è obsoleta a partire dalla versione 0.19. Utilizzare invece XDirection.

Notare che la casella centrale visualizza la direzione di proiezione corrente della vista principale. Non può essere utilizzata per cambiare la direzione.

Script

Lo strumento Proiezioni può essere usato nelle macro e dalla console Python. Uno script completo è disponibile nel codice sorgente in "source-dir/src/Mod/TechDraw/TDTest/DProjGroupTest.py".

#make a page
    print("making a page")
    page = FreeCAD.ActiveDocument.addObject('TechDraw::DrawPage','Page')
    FreeCAD.ActiveDocument.addObject('TechDraw::DrawSVGTemplate','Template')
    FreeCAD.ActiveDocument.Template.Template = templateFileSpec
    FreeCAD.ActiveDocument.Page.Template = FreeCAD.ActiveDocument.Template

    #make projection group
    group = FreeCAD.ActiveDocument.addObject('TechDraw::DrawProjGroup','ProjGroup')
    rc = page.addView(group)
    group.Source = [fusion]

    #add Front(Anchor) view
    frontView = group.addProjection("Front")               ##need an Anchor

    #update group
    group.Anchor.Direction = FreeCAD.Vector(0,0,1)
    group.Anchor.RotationVector = FreeCAD.Vector(1,0,0)

    #add more projections
    leftView = group.addProjection("Left")
    topView = group.addProjection("Top")
    rightView = group.addProjection("Right")
    rearView = group.addProjection("Rear")
    BottomView = group.addProjection("Bottom")

    #remove a view from projection group
    iv = group.removeProjection("Left")

Nota di programmazione: Il Gruppo di proiezioni deve sempre essere aggiunto alla Pagina (ad esempio page.addView(group) prima di aggiungere delle proiezioni al Gruppo. Ciò consente al Gruppo di proiezioni di utilizzare i valori dei parametri predefiniti derivati dalla pagina genitore.

Arrow-left.svg Pagina precedente: TechDraw ActiveView.svg Vista attiva
Pagina successiva: Vista di sezione TechDraw SectionView.svg Arrow-right.svg